Inga CUDA drivers till det absolut senaste grafikkortet? Varför eller hur eller vad...

Trädvy Permalänk
Medlem
Registrerad
Dec 2013

Inga CUDA drivers till det absolut senaste grafikkortet? Varför eller hur eller vad...

Okej, så jag fick hem mitt GTX 780 Ti tidigare idag, och jag har tänkt att använda det till lite olika saker utöver gaming.
Bland annat till Photoshop, After Effects, Blender och 3dsmax.

Hur kommer det sig att vartenda program säger att det inte finns några CUDA drivrutiner installerade?
Och när jag väl försöker installera de drivrutiner som enligt nVidia påstås vara kompatibla med grafikkortet, så säger installationen att
grafikkortet inte är kompatibelt med CUDA.

Är det något jag har missat eller vad?

Tacksam för hjälp.

Trädvy Permalänk
Medlem
Plats
Malmö
Registrerad
Feb 2006

Har du provat att installera de helt vanliga drivrutinerna? Det (ska) ger stöd för Photoshop etc.

Trädvy Permalänk
Medlem
Registrerad
Dec 2013

Japp. De senaste vanliga drivrutinerna är installerade.

Trädvy Permalänk
Medlem
Registrerad
Dec 2013

Det står inget om detta på nätet heller.

Förresten jag kör Win7 64bit, ifall det har nån större betydelse...

Trädvy Permalänk
Medlem
Plats
SweClockers forum
Registrerad
Aug 2012
Skrivet av aidv:

Det står inget om detta på nätet heller.

Förresten jag kör Win7 64bit, ifall det har nån större betydelse...

Kör du senaste stabila (331.82) eller betan (331.93)?

Guide: Roota din HTC - BB-Kod-knappar på Prisjakt

              Min burk - Kvävekyld till 80%
Phenom II X4 965@3900MHz (Sommarklock)
GTX 760@1111MHz

Ibland har jag fel, men då är det någon annans fel.

Trädvy Permalänk
Medlem
Registrerad
Dec 2013

Jag kör de stabila 331.82 drivrutinerna. Spel och sånt funkar utmärkt, men jag förstår inte hur CUDA applikationer inte känner igen grafikkortet.

Trädvy Permalänk
Medlem
Plats
Sthlm
Registrerad
Apr 2002

Gissningsvis är det för att antingen så är inte 780ti ännu verifierat för dessa program med de drivrutiner som körs. Kör du med WHQL eller beta? Med största sannolikhet är det programmen du använder som inte har uppdaterats för ditt kort ännu. Bara att vänta på uppdateringar av dessa skulle jag gissa.

Vet att så är fallet med t ex Adobe Premiere där mitt vanliga 780 fortfarande inte stöds.

..:: trickeh2k ::.. http://youtube.com/trickysaer Windows 10 Pro - i7 4790k @ 4,5Ghz - ASUS Maximus VII Hero - 8GB AVEXIR Blitz 1.1 Blue LED CL10 2400Mhz - Corsair AX860i - EVGA GTX 780 Classified - Acer Predator XB271HU - ASUS VG248QE - QPAD MK-85 (MX-Brown)/SteelSeries Sensei RAW Rubberized - A-Data SX900 128GB, Samsung EVO 840 120GB, SanDisk Ultra II 480GB, 2TB WD Caviar Black - ASUS Xonar DX - ASUS Strix 7.1 Gaming Headset - Blue Yeti - Corsair 750D - Custom water loop

Trädvy Permalänk
Medlem
Registrerad
Dec 2013

@trickysaer jag kör WHQL. Det kan vara mycket möjligt så som du säger, för när jag startade 3dsmax och valde renderingsmotorn iRay eller vad den heter så sa den att 780 Ti ej är tillgänglig för renderingsmotorn än.

Ifall detta nu är fallet, hur kand etta ha någon betydelse? CUDA är ju ändå CUDA det är väl CUDA som ska sköta allt sånt med kompatibilitet, väl? Om prestandan är lite sämre än förväntat gör inget, men att det inte finns tillgängligt över huvudtaget är ju jävligt underligt kan man ju tycka.

Trädvy Permalänk
Medlem
Plats
SweClockers forum
Registrerad
Aug 2012
Skrivet av aidv:

Jag kör de stabila 331.82 drivrutinerna. Spel och sånt funkar utmärkt, men jag förstår inte hur CUDA applikationer inte känner igen grafikkortet.

Använd citera nästa gång, inte säkert att jag råkar titta in en gång till annars.
Uppdatera till 331.93 så kanske det fungerar bättre.

Guide: Roota din HTC - BB-Kod-knappar på Prisjakt

              Min burk - Kvävekyld till 80%
Phenom II X4 965@3900MHz (Sommarklock)
GTX 760@1111MHz

Ibland har jag fel, men då är det någon annans fel.

Trädvy Permalänk
Medlem
Registrerad
Dec 2013
Skrivet av LemonIllusion:

Använd citera nästa gång, inte säkert att jag råkar titta in en gång till annars.
Uppdatera till 331.93 så kanske det fungerar bättre.

Sorry about that. Jag ska testa betan då allså? brb, ska se om det fixar problemet...

Trädvy Permalänk
Medlem
Plats
stockholm
Registrerad
Dec 2012
Skrivet av aidv:

@trickysaer jag kör WHQL. Det kan vara mycket möjligt så som du säger, för när jag startade 3dsmax och valde renderingsmotorn iRay eller vad den heter så sa den att 780 Ti ej är tillgänglig för renderingsmotorn än.

Ifall detta nu är fallet, hur kand etta ha någon betydelse? CUDA är ju ändå CUDA det är väl CUDA som ska sköta allt sånt med kompatibilitet, väl? Om prestandan är lite sämre än förväntat gör inget, men att det inte finns tillgängligt över huvudtaget är ju jävligt underligt kan man ju tycka.

Blender hade inte stöd för gtx 680 ett år efter release ens

CPU:intel core i5 2500k 3.30ghz||MB:Gigabyte z68x-ud3h-b3||
RAM:corsair vengeance 8gb 1600mhz||GPU:kfa2 gtx 680 (accelero hybrid)||
PSU:corsair TX750w||CHASSI: fractal design define r3 ||
HDD:2tb||SSD:120gb||

Trädvy Permalänk
Medlem
Registrerad
Dec 2013
Skrivet av gwin:

Blender hade inte stöd för gtx 680 ett år efter release ens

Men jag ser en massa posts om GTX 780 Ti med Blender, men det kanske är posts i form av spekulationer och sådant.
Jag ska testa Beta drivrutinerna och se om det fixar problemet.

Trädvy Permalänk
Medlem
Plats
Stockholm
Registrerad
Dec 2006

Enligt Adobes lista så stöds inga Gforcekort i 7xx serien, osäker dock på hur uppdaterad denna lista är
http://www.adobe.com/se/products/premiere/tech-specs.html

Cooler Master ATCS840, corsair AX750, Asus Sabertooth X58, i7 950, Highend vattenkylning, 12Gb Corsair, GTX275, Raptor 150, Spinpoint F1 1Tb x3, WD 640black, Windows 7 x64, Asus Xonar Essence STX. Skärm Dell U2711.

Trädvy Permalänk
Medlem
Registrerad
Dec 2013
Skrivet av ggustavsson:

Enligt Adobes lista så stöds inga Gforcekort i 7xx serien, osäker dock på hur uppdaterad denna lista är
http://www.adobe.com/se/products/premiere/tech-specs.html

F*ck!

Trädvy Permalänk
Medlem
Plats
Sthlm
Registrerad
Apr 2002

Du kan testa att fulhacka http://blog.krama.tv/hacking-adobe-premiere-cs5-to-enable-mor... (ska fungera till cs6 av premiere, vet dock inte om det hjälpa dig i de andra, men är adobe så värt ett försök?

..:: trickeh2k ::.. http://youtube.com/trickysaer Windows 10 Pro - i7 4790k @ 4,5Ghz - ASUS Maximus VII Hero - 8GB AVEXIR Blitz 1.1 Blue LED CL10 2400Mhz - Corsair AX860i - EVGA GTX 780 Classified - Acer Predator XB271HU - ASUS VG248QE - QPAD MK-85 (MX-Brown)/SteelSeries Sensei RAW Rubberized - A-Data SX900 128GB, Samsung EVO 840 120GB, SanDisk Ultra II 480GB, 2TB WD Caviar Black - ASUS Xonar DX - ASUS Strix 7.1 Gaming Headset - Blue Yeti - Corsair 750D - Custom water loop

Trädvy Permalänk
Medlem
Registrerad
Okt 2013

Är inte många mjukvarutillverkare så jävliga att dom bara verifierar quadro serien till sina "proffsprogram"?

Mac OS X - Windows - Linux

Trädvy Permalänk
Medlem
Plats
Sollentuna
Registrerad
Maj 2007

Många cuda-program kollar efter specifika grafikkortsmodeller, ja.

Ang Adobe (CS6) så kan man knacka ihop kompatibilitet med sitt grafikkort genom div. scripts och program på nätet. Minns att jag fick göra det med mitt titan.

Sen har t.ex. Avid en "GPU supported boards.txt" liggandes i programmappen där jag kunde skriva in mitt kort och drivrutin och få det att funka.

Skickades från m.sweclockers.com

i7-4790K @ 4.6 GHz | 32GB DDR3 | ASUS Maximus VII Gene Z97 | Geforce GTX 1080 Ti FE | 2x500GB SSD

Trädvy Permalänk
Medlem
Plats
Sthlm
Registrerad
Apr 2002

..:: trickeh2k ::.. http://youtube.com/trickysaer Windows 10 Pro - i7 4790k @ 4,5Ghz - ASUS Maximus VII Hero - 8GB AVEXIR Blitz 1.1 Blue LED CL10 2400Mhz - Corsair AX860i - EVGA GTX 780 Classified - Acer Predator XB271HU - ASUS VG248QE - QPAD MK-85 (MX-Brown)/SteelSeries Sensei RAW Rubberized - A-Data SX900 128GB, Samsung EVO 840 120GB, SanDisk Ultra II 480GB, 2TB WD Caviar Black - ASUS Xonar DX - ASUS Strix 7.1 Gaming Headset - Blue Yeti - Corsair 750D - Custom water loop

Trädvy Permalänk
Medlem
Registrerad
Dec 2013
Skrivet av ggustavsson:

Enligt Adobes lista så stöds inga Gforcekort i 7xx serien, osäker dock på hur uppdaterad denna lista är
http://www.adobe.com/se/products/premiere/tech-specs.html

Fast vänta nu, det där var listan för Premiere,
listan för After Effects supportar GTX 780: http://www.adobe.com/se/products/aftereffects/tech-specs.html
och Photoshop verkar tydligen ha en slags allaround grejj eftersom det inte finns nån lista på GPU:er och eftersom vi vet att
det har GPU acceleration: http://www.adobe.com/se/products/photoshop/tech-specs.html

Trädvy Permalänk
Medlem
Registrerad
Dec 2013

Dessa jävla tillverkare behöver fan stryk alltså! Man betalar fan inte för nått i onödan, vilket man tydligen gör i vilket fall som helst vare sig man vill det eller inte...

Trädvy Permalänk
Medlem
Registrerad
Dec 2013
Skrivet av LemonIllusion:

Använd citera nästa gång, inte säkert att jag råkar titta in en gång till annars.
Uppdatera till 331.93 så kanske det fungerar bättre.

Jag tesade 331.93, och det gjorde saken värre.

Jag läste på nVidias hemsida att CUDA 6.0 snart kommer att släppas, så jag misstänker att den nuvarande CUDA 5.5 inte supportar GTX 780 Ti, och jag antar att när CUDA 6.0 släpps så kommer GTX 780 Ti att vara fullt kompatibelt med allt i princip.

Anledningen till att jag tror att CUDA 5.5 inte supportar GTX 780 Ti är för att när jag försöker installera CUDA 5.5, så finns det en medföljande drivrutin med
version 320.57, vilket jag antar är den senaste drivrutinen med CUDA kompatibilitet, och när jag gick till nedladdningssidan för drivrutiner för GTX 780 Ti
så är det version 331.65 som är den tidigast möjliga drivrutin för GTX 780 Ti.

Så där har vi nog svaret. Det är inget fel på något, det är nog bara det att nVidia valt att CUDA 6.0 är bäst anpassat för GTX 780 Ti.

Jag tror att jag byter till ett GTX 780 så länge.

Tack för hjälpen allihopa!